package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * cps_meeting_enterprise 与会企业对象 cps_meeting_enterprise
 *
 * @author ruoyi
 * @date 2024-08-14
 */
public class CpsMeetingEnterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "单位名称")
    private String enterpriseName;

    @Excel(name = "行程名称")
    private String tripName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String tel;

    /** 联系人 */
    @Excel(name = "联系人")
    private String inCharge;

    /** 企业行程 */
    private Long tripId;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }

    public void setTel(String tel)
    {
        this.tel = tel;
    }

    public String getTel()
    {
        return tel;
    }

    public void setInCharge(String inCharge)
    {
        this.inCharge = inCharge;
    }

    public String getInCharge()
    {
        return inCharge;
    }

    public void setTripId(Long tripId)
    {
        this.tripId = tripId;
    }

    public Long getTripId()
    {
        return tripId;
    }

    public String getTripName() {
        return tripName;
    }

    public void setTripName(String tripName) {
        this.tripName = tripName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("tel", getTel())
            .append("inCharge", getInCharge())
            .append("tripId", getTripId())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
